var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
define(["require", "exports", "./widgets/ZoomToUnique", "esri/Map", "esri/views/MapView", "esri/geometry/Point", "esri/layers/FeatureLayer"], function (require, exports, ZoomToUnique_1, EsriMap, MapView, Point, FeatureLayer) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    ZoomToUnique_1 = __importDefault(ZoomToUnique_1);
    var map = new EsriMap({
        basemap: "streets"
    });
    var layer = new FeatureLayer({
        portalItem: {
            id: "b234a118ab6b4c91908a1cf677941702"
        },
        outFields: ["NAME", "STATE_NAME", "VACANT", "HSE_UNITS"],
        title: "U.S. counties"
    });
    map.add(layer);
    var view = new MapView({
        map: map,
        container: "viewDiv",
        center: new Point({
            x: 0.0,
            y: 0.0
        }),
        zoom: 1
    });
    view.whenLayerView(layer).then(function (lv) {
        var zoomToFeatures = new ZoomToUnique_1.default(lv, "STATE_NAME");
        view.ui.add(zoomToFeatures, "top-right");
        zoomToFeatures.getLayerChoices();
        view.goTo(lv.layer.fullExtent);
    });
});
//# sourceMappingURL=main.js.map