import ZoomToFeatures from "./widgets/ZoomToUnique"
import EsriMap = require("esri/Map");
import MapView = require("esri/views/MapView");
import Point = require("esri/geometry/Point");
import FeatureLayer = require("esri/layers/FeatureLayer")
import FeatureLayerView = require("esri/views/layers/FeatureLayerView")

const map = new EsriMap({
	basemap: "streets"
});
const layer = new FeatureLayer({
	portalItem: {
		id: "b234a118ab6b4c91908a1cf677941702"
	},
	outFields: ["NAME", "STATE_NAME", "VACANT", "HSE_UNITS"],
	title: "U.S. counties"
})
map.add(layer)

const view = new MapView({
	map: map,
	container: "viewDiv",
	center: new Point({
		x: 0.0,
		y: 0.0
	}),
	zoom: 1
});

view.whenLayerView(layer).then((lv) => {
	const zoomToFeatures = new ZoomToFeatures(lv as FeatureLayerView, "STATE_NAME");
	view.ui.add(
		zoomToFeatures,
		"top-right"
	)
	zoomToFeatures.getLayerChoices();
	view.goTo(lv.layer.fullExtent);
});